/* $Workfile: OsaLinuxThrd.h $   $Revision: 3 $    $Modtime: 11/24/99 1:44p $  */
#ifndef OSA_LINUX_THRD_H
#define OSA_LINUX_THRD_H
/*******************************************************************************

  @doc PublicHwApi OsaLinuxThrd

  Copyright (C) 1999 Odin TeleSystems Inc., All Rights Reserved

  OTX Generic Hardware Driver API

  @module
  OsaLinuxThrd | This file contains macros for the Linux
  implementation of some thread and mutex functions.

  @contents2
  OsaLinuxThrd.h |

  @index func | OsaLinuxThrd

  @contents2
  Linux Thread and Mutex Macros | Macros for the Linux 
  implementation of some thread and mutex functions.
  
  @head3 Linux Thread and Mutex Macro Reference |

  @index func | OsaLinuxThrd

*******************************************************************************/

typedef pthread_mutex_t OsaMutexS;

/*******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1999

  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

*******************************************************************************/

#endif // OSA_LINUX_THRD_H
